/*
 * @(#)KonstantenGTMBast.java   14.12.10
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.bast;

//~ NICHT JDK IMPORTE =========================================================

import static de.inovat.buv.inovat.lib.konstanten.Konstanten.FILESEPARATOR;

//~ KLASSEN ===================================================================

/**
 * Klasse enthlt Konstanten.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 227 $ / $Date: 2012-10-19 08:48:54 +0200 (Fr, 19 Okt 2012) $ / ($Author: LG $)
 */
public class KonstantenGTMBast {

    /** ID von diesem PlugIn. Wird als Startstring fr alle ParameterIDs benutzt. */
    public final static String AKTIVATOR_ID = Activator.PLUGIN_ID + ".";

    /** Aufrufparameter BASt Import/Export Objekt. */
    public final static String AUFRUFPARAMETER_BAST_IMPORT_EXPORT = "-bastBandExportImport";

    /** ParameterID fr den Export 'BASt Band'. */
    public final static String EXPORT_BAST = AKTIVATOR_ID + "export.bast";

    /** ParameterID fr die ExportEinstellungen . */
    public final static String ALLE_IMPORT_EINSTELLUNGEN = AKTIVATOR_ID + "import";

    /** ParameterID fr die ExportEinstellungen . */
    public final static String ALLE_EXPORT_EINSTELLUNGEN = AKTIVATOR_ID + "export";

    /** Ordner, wo BASt-Import-Prfung-CSV-Datei gespeichert werden. */
    public final static String ORDNER_BAST_IMPORT_PRUEF_CSV = "BAST" + FILESEPARATOR + "Import" + FILESEPARATOR + "CSV-Datei";
}


//~Formatiert mit 'inovat Kodierkonvention' am 24.10.13
