/*
 * @(#)KonstantenVisualisierung.java   14.12.10
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.visualisierung;

//~ KLASSEN ===================================================================

/**
 * Klasse enthlt Konstanten.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 88 $ / $Date: 2012-03-09 16:20:38 +0100 (Fr, 09 Mrz 2012) $ / ($Author: LG $)
 */
public class KonstantenVisualisierung {

    /** ID von diesem PlugIn. Wird als Startstring fr alle ParameterIDs benutzt. */
    public final static String AKTIVATOR_ID = Activator.PLUGIN_ID + ".";

    /** Ordner, wo Ganglinien-Dateien gespeichert werden. */
    public final static String ORDNER_GANGLINIEN = "Ganglinien";

    /** ParameterID fr den GanglinienOrdner. */
    public final static String PARAMETER_GANGLINIEN_ORDNER = AKTIVATOR_ID + "ganglinienOrdner";
}


//~Formatiert mit 'inovat Kodierkonvention' am 16.02.12
